# Draw
TKViewerTest
Viewer2dTest

# Viewer2dTest_EventManager Class Reference

`#include <Viewer2dTest_EventManager.hxx>`

## Public Member Functions

Standard_EXPORT | Viewer2dTest_EventManager (const Handle(AIS2D_InteractiveContext)&aCtx)
virtual Standard_EXPORT void | MoveTo (const Standard_Integer xpix, const Standard_Integer ypix, const Handle(V2d_View)&aView)
virtual Standard_EXPORT void | Select ()
virtual Standard_EXPORT void | ShiftSelect ()
virtual Standard_EXPORT void | Select (const Standard_Integer xmin, const Standard_Integer ymin, const Standard_Integer xmax, const Standard_Integer ymax, const Handle(V2d_View)&aView)
virtual Standard_EXPORT void | ShiftSelect (const Standard_Integer xmin, const Standard_Integer ymin, const Standard_Integer xmax, const Standard_Integer ymax, const Handle(V2d_View)&aView)
Standard_EXPORT const Handle_AIS2D_InteractiveContext & | Context () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AIS2D_InteractiveContext | myCtx

## Constructor & Destructor Documentation

Standard_EXPORT Viewer2dTest_EventManager::Viewer2dTest_EventManager | ( | const Handle(AIS2D_InteractiveContext)& | aCtx | ) |

## Member Function Documentation

Standard_EXPORT const Handle_AIS2D_InteractiveContext& Viewer2dTest_EventManager::Context | ( |  | ) | const

Standard_EXPORT const Viewer2dTest_EventManager::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void Viewer2dTest_EventManager::MoveTo | ( | const Standard_Integer | xpix,
|  | const Standard_Integer | ypix,
|  | const Handle(V2d_View)& | aView
| ) | `[virtual]`

virtual Standard_EXPORT void Viewer2dTest_EventManager::Select | ( | const Standard_Integer | xmin,
|  | const Standard_Integer | ymin,
|  | const Standard_Integer | xmax,
|  | const Standard_Integer | ymax,
|  | const Handle(V2d_View)& | aView
| ) | `[virtual]`

virtual Standard_EXPORT void Viewer2dTest_EventManager::Select | ( |  | ) | `[virtual]`

virtual Standard_EXPORT void Viewer2dTest_EventManager::ShiftSelect | ( | const Standard_Integer | xmin,
|  | const Standard_Integer | ymin,
|  | const Standard_Integer | xmax,
|  | const Standard_Integer | ymax,
|  | const Handle(V2d_View)& | aView
| ) | `[virtual]`

virtual Standard_EXPORT void Viewer2dTest_EventManager::ShiftSelect | ( |  | ) | `[virtual]`

## Field Documentation

Handle_AIS2D_InteractiveContext Viewer2dTest_EventManager::myCtx `[private]`

The documentation for this class was generated from the following file:

- Viewer2dTest_EventManager.hxx